Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mapping
Class MappingIODefinition

    java.lang.Object
      org.pentaho.di.trans.steps.mapping.MappingIODefinition

All Implemented Interfaces:
  Cloneable

    public class MappingIODefinition

extends Object
implements Cloneable

Helps to define the input or output specifications for the Mapping step.

Since:
  2007-07-26
Version:
  3.0
Author:
  matt

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`MappingIODefinition()` No input or output step is defined: - detect the source step automatically: use all input steps for this mapping step. - detect the output step automatically: there can only be one MappingInput step in the mapping in this specific case.
`MappingIODefinition(Node mappingNode)`
`MappingIODefinition(Repository rep, long id_step, String prefix, int nr)`
`MappingIODefinition(String inputStepname, String outputStepname)`

Method Summary
`Object` | `clone()`
`String` | `getDescription()`
`String` | `getInputStepname()`
`String` | `getOutputStepname()`
`List<MappingValueRename>` | `getValueRenames()`
`String` | `getXML()`
`boolean` | `isMainDataPath()`
`boolean` | `isRenamingOnOutput()`
`void` | `saveRep(Repository rep, long id_transformation, long id_step, String prefix, long nr)`
`void` | `setDescription(String description)`
`void` | `setInputStepname(String inputStepname)`
`void` | `setMainDataPath(boolean mainDataPath)`
`void` | `setOutputStepname(String outputStepname)`
`void` | `setRenamingOnOutput(boolean renamingOnOutput)`
`void` | `setValueRenames(List<MappingValueRename> valueRenames)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### MappingIODefinition

    public MappingIODefinition()

  No input or output step is defined:
  - detect the source step automatically: use all input steps for this mapping step.
  - detect the output step automatically: there can only be one MappingInput step in the mapping in this specific case.

### MappingIODefinition

    public MappingIODefinition(String inputStepname,
                               String outputStepname)

Parameters:
  `inputStepname` - the name of the step to "connect" to. If no name is given, detect the source step automatically: use all input steps for this mapping step.
  `outputStepname` - the name of the step in the mapping to accept the data from the input step. If no name is given, detect the output step automatically: there can only be one MappingInput step in the mapping in this specific case.

### MappingIODefinition

    public MappingIODefinition(Node mappingNode)

### MappingIODefinition

    public MappingIODefinition(Repository rep,
                               long id_step,
                               String prefix,
                               int nr)
                        throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getXML

    public String getXML()

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step,
                        String prefix,
                        long nr)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getInputStepname

    public String getInputStepname()

  Returns:
    the stepname, the name of the step to "connect" to. If no step name is given, detect the Mapping Input/Output step automatically.

### setInputStepname

    public void setInputStepname(String inputStepname)

  Parameters:
    `inputStepname` - the stepname to set

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

### getOutputStepname

    public String getOutputStepname()

  Returns:
    the outputStepname

### setOutputStepname

    public void setOutputStepname(String outputStepname)

  Parameters:
    `outputStepname` - the outputStepname to set

### isMainDataPath

    public boolean isMainDataPath()

  Returns:
    true if this is the main data path for the mapping step.

### setMainDataPath

    public void setMainDataPath(boolean mainDataPath)

  Parameters:
    `mainDataPath` - true if this is the main data path for the mapping step.

### isRenamingOnOutput

    public boolean isRenamingOnOutput()

  Returns:
    the renamingOnOutput

### setRenamingOnOutput

    public void setRenamingOnOutput(boolean renamingOnOutput)

  Parameters:
    `renamingOnOutput` - the renamingOnOutput to set

### getValueRenames

    public List<MappingValueRename> getValueRenames()

  Returns:
    the valueRenames

### setValueRenames

    public void setValueRenames(List<MappingValueRename> valueRenames)

  Parameters:
    `valueRenames` - the valueRenames to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD